[package]
name = "zerocash"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
sha2 = "0.10.6"
rs_merkle = "1.2.0"
digest = "0.10.6"
base64ct = "1.5.3"
base16ct = "0.1.1"
rsa = "0.7.2"
rand = "0.8.5"
web3 = { git = "https://github.com/tomusdrw/rust-web3" }
tokio = "1.23.0"
signature = "1.6.4"
secp256k1 = {version="0.25.0", features =  ["rand"]}
bincode = "1.3.3"
serde = "1.0.151"
num-bigint = "0.4.3"
hex = "0.4.3"
